Subject: Re: cygrunsrv and apache
From: Stipe Tolj <[email-masked]>
To: Jonathan Albrecht <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Jan 2003 00:45:07 +0100

Jonathan Albrecht schrieb:
> 
> I've been trying to run apache as a service using cygrunsrv. I haven't
> changed the httpd.conf and running /usr/sbin/httpd from the command line
> works fine. Here is what I have done:
> 
>  > cygrunsrv -I apache -d "Cygwin apache" -p /usr/sbin/httpd -a -k -e
> "CYGWIN=ntsec nosmbntsec binmode tty"
> 
>           > cygrunsrv -S apache
> 
> cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error 1062:
> The service has not been started.
> 
> I've tried variations on the spaces and quotes in the command line but
> nothing has worked. Any ideas?

check file permissions. 

cygrunsrv will start the httpd processes as SYSTEM, hence all logging
directory have to have write permissions for that user or group.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Vogelsanger Weg 80
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/